offspring.Niche {galgo} | R Documentation

## Overwrites the new niche selecting a new population from the best chromosomes

### Description

Overwrites the new niche selecting from the best chromosomes. This method is called in the `progeny` method. For more information see `Niche`. for complete description.

### Usage

    ## S3 method for class 'Niche'
    offspring(ni, ...)

### Details

The basic idea to generate a progeny is a selection biased toward the best chromosomes (see Goldberg). We implented this idea as a weighted probability (`*scaling()`).

`offspring` is part of `progeny` method.

For related details For more information see `Niche`.

### Value

Returns the selected chromosomes.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Niche`. `*progeny()`, `*scaling()`.

### Examples

       cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
       cr
       ni <- Niche(chromosomes = newRandomCollection(cr, 10))
       ni
       ni$fitness <- 1:10/10 # tricky fitness, only for showing purposes
       scaling(ni)
       offspring(ni)
       ni

[Package galgo version 1.4 Index]